Subject: RE: linux-next: build failure after merge of the battery tree

From: Asmaa Mnebhi <[email-masked]>
Date: Fri, 24 Jun 2022 12:44:32 +0000

I sent a patch on Tuesday and added you as a reviewer. Could you please take a look?
The name of the email/patch: "[PATCH v1 1/1] linux-next: Fix build failure in pwr-mlxbf.c"

Thanks.
Asmaa

-----Original Message-----
From: Stephen Rothwell <[email-masked]> 
Sent: Thursday, June 23, 2022 10:48 PM
To: Sebastian Reichel <[email-masked]>
Cc: Asmaa Mnebhi <[email-masked]>; Linux Kernel Mailing List <[email-masked]>; Linux Next Mailing List <[email-masked]>
Subject: Re: linux-next: build failure after merge of the battery tree

Hi all,

On Mon, 20 Jun 2022 10:45:03 +1000 Stephen Rothwell <[email-masked]> wrote:
> 
> After merging the battery tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/power/reset/pwr-mlxbf.c: In function 'pwr_mlxbf_probe':
> drivers/power/reset/pwr-mlxbf.c:67:15: error: implicit declaration of function 'devm_work_autocancel' [-Werror=implicit-function-declaration]
>    67 |         err = devm_work_autocancel(dev, &priv->send_work, pwr_mlxbf_send_work);
>       |               ^~~~~~~~~~~~~~~~~~~~
> cc1: all warnings being treated as errors
> 
> Caused by commit
> 
>   a4c0094fcf76 ("power: reset: pwr-mlxbf: add BlueField SoC power control driver")
> 
> I have used the battery tree from next-20220617 for today.

I am still seeing this failure.

-- 
Cheers,
Stephen Rothwell